Authentication

To build an integration using the Asset API, contact your LiveRamp representative to review your organization's asset access.

When the necessary agreements are in place, your LiveRamp representative will provide you with your Service Account (API key). You can use it to test API calls.

Request an API Key for Your Customer

Each customer will need their own specific Service Account (API key) so that the API calls you make on their behalf access the correct information. Contact your LiveRamp representative to request a customer API key.

Request an Access Token

The Asset API requires an access token for you and your customers.

1. Request an account ID and a secret key from LiveRamp

You need your account credentials to obtain an access token. Contact your LiveRamp Service Account representative for your username (Account ID) and your password (Secret Key). You should receive a JSON file that includes those credentials. If you need a LiveRamp Service Account, please reach out to your account manager.

2. Submit a request for an API access token

An example request for a v2 LiveRamp service account is shown below.

curl https://serviceaccounts.liveramp.com/authn/v1/oauth2/token \
  -d grant_type=password \
  -d username="$ACCOUNT_ID" \
  -d password="$SECRET_KEY" \
  -d scope=openid \
  -d client_id="liveramp-api" \
  -d response_type=token

Your access token request includes the following variables:

VariableDescription
usernameThe Account ID from your service account.
passwordThe Secret Key from your service account.
client_idliveramp-api

If the access token request is valid and authorized, the token server issues the access token:

{
  "access_token": "<access token>",
  "token_type": "Bearer",
  "expires_in": 600
}

Use the access_token from the response to authorize API calls.

Authorization: Bearer ${access_token}

About access token expiration

Access tokens expire quickly. See the expires_in value for the time limit. The example shows 10 minutes (600 seconds). To ensure successful API endpoint calls, your code should fetch a new token if you receive a 403 status code for token expiration.

Tokens should be shared for all calls within a thread but not refreshed for each call.